Skip to main content
PATCH
Update a large language model

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

largeLanguageModelId
string
required

The unique identifier for the large language model.

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Body

application/json
name
string

The display name of the large language model.

Example:

"My large language model"

description
string

A meaningful description of the large language model.

Example:

"Large language model to be used for customer-facing AI Agents."

provider
enum<string>
Available options:
azureOpenAI,
openAI,
anthropic,
googleVertexAI,
googleGemini,
googleGenAI,
alephAlpha,
awsBedrock,
mistral
connectionId
string<uuid>

The identifier for the large language model connection.

Required string length: 36
isDefault
boolean

If set to true, the large language model is used as the default large language model when no other large language model is set.

Example:

false

Response

Successfully updated large language model.

Last modified on July 24, 2026